package cn.dg32z.lon.checks.impl.combat.analysis;

import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.BlockPlaceCheck;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.evicting.EvictingList;
import cn.dg32z.lon.utils.update.BlockPlace;
import dev.jnic.BvwoT.a;
import java.security.MessageDigest;
import java.util.ArrayDeque;
import java.util.Queue;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;
import org.bukkit.Material;

@CheckData(name = "AnalysisC", configName = "AnalysisC", experimental = true, decay = 0.934d)
/* loaded from: cn_dg32z_lon_checks_impl_combat_analysis.jar:cn/dg32z/lon/checks/impl/combat/analysis/AnalysisC.class */
public class AnalysisC extends BlockPlaceCheck {
    private static final double WEIGHT_JITTER;
    private static final double WEIGHT_ROTATION;
    private final EvictingList yawDeltas;
    private final EvictingList pitchDeltas;
    private static final double WEIGHT_DIRECTION;
    private static final double WEIGHT_ACCEL;
    private static final double WEIGHT_PREDICT;
    private static final float ACCELERATION_THRESHOLD;
    private static final double VERY_LOW_MOVEMENT_THRESHOLD;
    private static final double STD_DEVIATION_THRESHOLD;
    private static final double WEIGHT_REPEAT;
    private static final double DIRECTION_CONSISTENCY_THRESHOLD;
    private static final double REPEAT_ANGLE_RATIO_THRESHOLD;
    private final Queue directionHistory;
    private static final int SAMPLE_WINDOW;
    private static final boolean DEBUG;

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean isBridging(PlayerData playerData, BlockPlace blockPlace) {
        if (playerData.bukkitPlayer.getLocation().clone().subtract(0.0d, 2.5d, 0.0d).getBlock().getType() == Material.AIR && (playerData.pitch > 50.0f || (playerData.lastPitch > 50.0f && 783.9199f - 7.1693773f == 776.75055f))) {
            if (1291.6910400390625d - 0.3d == 1291.391f) {
            }
            if (blockPlace.isFaceHorizontal()) {
                return true;
            }
        }
        if (629.9834f - 13.717531f != 616.26587f) {
        }
        return false;
    }

    public AnalysisC(PlayerData playerData) {
        super(playerData);
        this.directionHistory = new ArrayDeque(50);
        this.yawDeltas = new EvictingList(50);
        this.pitchDeltas = new EvictingList(50);
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x006f, code lost:
    
        if (r10 >= 0) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0075, code lost:
    
        return cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.NORTH;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0096, code lost:
    
        return r6.getPlayerFacing();
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x003b, code lost:
    
        r0 = r6.getPlacedBlockPos();
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x004b, code lost:
    
        if ((1298.18798828125d - 0.6d) != 1297.588f) goto L7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0016, code lost:
    
        r0 = r0.getX() - r0.getX();
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x002c, code lost:
    
        if ((1305.774169921875d - 0.6d) == 1305.1742f) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0076, code lost:
    
        r10 = r0.getZ() - r0.getZ();
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x008c, code lost:
    
        if ((1428.096435546875d - 0.4d) == 1427.6964f) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0034, code lost:
    
        if (r0 <= 0) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x003a, code lost:
    
        return cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.EAST;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0053, code lost:
    
        if (r0 >= 0) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0059, code lost:
    
        return cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.WEST;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0067, code lost:
    
        if ((1073.021f - 12.246256f) == 1060.7748f) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x000f, code lost:
    
        if (r10 <= 0) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0015, code lost:
    
        return cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.SOUTH;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace calcExpectedDirection(cn.dg32z.lon.utils.update.BlockPlace r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            r0 = 0
            r9 = r0
            r0 = 0
            r10 = r0
            goto L5a
        Ld:
            r0 = r10
            if (r0 <= 0) goto L6d
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r0 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.SOUTH
            return r0
        L16:
            r0 = r8
            int r0 = r0.getX()
            r1 = r7
            int r1 = r1.getX()
            int r0 = r0 - r1
            r9 = r0
            r0 = 4653457670978666496(0x40946718c0000000, double:1305.774169921875)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1151542675(0x44a32593, float:1305.1742)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3b
            goto L76
        L32:
            r0 = r9
            if (r0 <= 0) goto L51
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r0 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.EAST
            return r0
        L3b:
            r0 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3i r0 = r0.getPlacedBlockPos()
            r8 = r0
            r0 = 4653424306598969344(0x409448c080000000, double:1298.18798828125)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1151480529(0x44a232d1, float:1297.588)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L16
            goto L6d
        L51:
            r0 = r9
            if (r0 >= 0) goto Ld
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r0 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.WEST
            return r0
        L5a:
            r0 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3i r0 = r0.getPlacedAgainstBlockLocation()
            r7 = r0
            r0 = 1149640876(0x448620ac, float:1073.021)
            r1 = 1094971562(0x4143f0aa, float:12.246256)
            float r0 = r0 - r1
            r1 = 1149540555(0x448498cb, float:1060.7748)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto Ld
            goto L3b
        L6d:
            r0 = r10
            if (r0 >= 0) goto L92
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r0 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace.NORTH
            return r0
        L76:
            r0 = r8
            int r0 = r0.getZ()
            r1 = r7
            int r1 = r1.getZ()
            int r0 = r0 - r1
            r10 = r0
            r0 = 4653995649992228864(0x40965062c0000000, double:1428.096435546875)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1152546377(0x44b27649, float:1427.6964)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L92
            goto L32
        L92:
            r0 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r0 = r0.getPlayerFacing()
            return r0
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.calcExpectedDirection(cn.dg32z.lon.utils.update.BlockPlace):cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean isVeryLowMovement() {
        double orElse;
        double orElse2;
        if (this.yawDeltas.size() < 10) {
            return false;
        }
        while (true) {
            orElse = this.yawDeltas.stream().mapToDouble((v0) -> {
                return v0.doubleValue();
            }).average().orElse(0.0d);
            if (1355.7161865234375d - 0.9d != 1354.8162f) {
                orElse2 = this.pitchDeltas.stream().mapToDouble((v0) -> {
                    return v0.doubleValue();
                }).average().orElse(0.0d);
                if (1262.2757568359375d - 0.3d != 1261.9757f) {
                    break;
                }
            }
        }
        if (orElse < 0.3d && orElse2 < 0.3d) {
            return true;
        }
        if (1426.891845703125d - 0.4d != 1426.4918f) {
        }
        return false;
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:59)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:19)
        */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:28:0x001e  */
    /* JADX WARN: Removed duplicated region for block: B:38:0x0074 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:41:0x0187 A[EDGE_INSN: B:41:0x0187->B:42:0x0187 BREAK  A[LOOP:1: B:21:0x0092->B:31:0x0092], SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:48:0x0092 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:52:0x0074 A[SYNTHETIC] */
    /* JADX WARN: Type inference failed for: r0v66, types: [java.util.Iterator] */
    /* JADX WARN: Type inference failed for: r0v68, types: [java.util.Iterator] */
    /* JADX WARN: Type inference failed for: r0v76, types: [java.util.Iterator] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:30:0x001b -> B:23:0x010e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:32:0x0037 -> B:25:0x003f). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double analyzeAngleRepeatRate() {
        /*
            Method dump skipped, instructions count: 450
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.analyzeAngleRepeatRate():double");
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:59)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:19)
        */
    /* JADX WARN: Removed duplicated region for block: B:10:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:20:0x0047 A[ORIG_RETURN, RETURN] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:19:0x007f -> B:8:0x00c1). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void collectPlacementData(cn.dg32z.lon.utils.update.BlockPlace r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            goto L48
        L9:
            r0 = r5
            java.util.Queue r0 = r0.directionHistory
            int r0 = r0.size()
            r1 = 50
            if (r0 <= r1) goto L85
            r0 = 1142027998(0x4411f6de, float:583.8573)
            r1 = 1090749928(0x410385e8, float:8.220192)
            float r0 = r0 - r1
            r1 = 1141893318(0x440fe8c6, float:575.6371)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto Lc1
            goto La5
        L28:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.checks.util.processor.rotateprocessor.RotateProcessor r0 = r0.getRotateProcessor()
            float r0 = r0.deltaPitch
            float r0 = java.lang.Math.abs(r0)
            r8 = r0
            r0 = 1149707930(0x4487269a, float:1081.2063)
            r1 = 1096470865(0x415ad151, float:13.676103)
            float r0 = r0 - r1
            r1 = 1149595895(0x448570f7, float:1067.5302)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L47
            goto L68
        L47:
            return
        L48:
            r0 = r5
            java.util.Queue r0 = r0.directionHistory
            r1 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace r1 = r1.getDirection()
            boolean r0 = r0.offer(r1)
            r0 = 4649168137353166848(0x408529c9e0000000, double:677.2235717773438)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1143544604(0x44291b1c, float:676.4236)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L9
            goto L68
        L68:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.yawDeltas
            r1 = r7
            java.lang.Float r1 = java.lang.Float.valueOf(r1)
            boolean r0 = r0.add(r1)
            r0 = 1150271019(0x448fbe2b, float:1149.9427)
            r1 = 1084764560(0x40a83190, float:5.25605)
            float r0 = r0 - r1
            r1 = 1150227961(0x448f15f9, float:1144.6866)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto Lc1
            goto Lc1
        L85:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.checks.util.processor.rotateprocessor.RotateProcessor r0 = r0.getRotateProcessor()
            float r0 = r0.deltaYaw
            float r0 = java.lang.Math.abs(r0)
            r7 = r0
            r0 = 4652726233753190400(0x4091cddbc0000000, double:1139.464599609375)
            r1 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r0 = r0 - r1
            r1 = 1150179448(0x448e5878, float:1138.7646)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L28
            goto L28
        La5:
            r0 = r5
            java.util.Queue r0 = r0.directionHistory
            java.lang.Object r0 = r0.poll()
            r0 = 4653252067136110592(0x4093ac19e0000000, double:1259.0252685546875)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1151161346(0x449d5402, float:1258.6252)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L85
            goto La5
        Lc1:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.pitchDeltas
            r1 = r8
            java.lang.Float r1 = java.lang.Float.valueOf(r1)
            boolean r0 = r0.add(r1)
            r0 = 4652757032963670016(0x4091e9dec0000000, double:1146.467529296875)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1150237635(0x448f3bc3, float:1145.8676)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L47
            goto L85
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.collectPlacementData(cn.dg32z.lon.utils.update.BlockPlace):void");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double calcStdDev(java.util.List r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r9 = r0
            goto Lc
        Lc:
            r0 = r6
            java.util.stream.Stream r0 = r0.stream()
            double r1 = (v0) -> { // java.util.function.ToDoubleFunction.applyAsDouble(java.lang.Object):double
                return v0.doubleValue();
            }
            java.util.stream.DoubleStream r0 = r0.mapToDouble(r1)
            java.util.OptionalDouble r0 = r0.average()
            r1 = 0
            double r0 = r0.orElse(r1)
            r7 = r0
            r0 = 1149730975(0x4487809f, float:1084.0194)
            r1 = 1096651928(0x415d9498, float:13.848778)
            float r0 = r0 - r1
            r1 = 1149617526(0x4485c576, float:1070.1707)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L53
            goto L70
        L37:
            r-1.average()
            r0 = 0
            r-1.orElse(r0)
            r9 = r-1
            r-1 = 1152505792(0x44b1d7c0, float:1422.7422)
            r0 = 1087619548(0x40d3c1dc, float:6.6174145)
            float r-1 = r-1 - r0
            r0 = 1152451582(0x44b103fe, float:1416.1248)
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 != 0) goto Lc
            goto L70
        L53:
            r0 = r6
            java.util.stream.Stream r0 = r0.stream()
            r1 = r7
            double r1 = (v1) -> { // java.util.function.ToDoubleFunction.applyAsDouble(java.lang.Object):double
                return lambda$calcStdDev$0(r1, v1);
            }
            r2 = 1152668632(0x44b453d8, float:1442.6201)
            r3 = 1091662715(0x4111737b, float:9.090693)
            float r2 = r2 - r3
            r3 = 1152594161(0x44b330f1, float:1433.5294)
            int r2 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1))
            if (r2 == 0) goto L76
            goto L76
        L70:
            r0 = r9
            double r0 = java.lang.Math.sqrt(r0)
            return r0
        L76:
            java.util.stream.DoubleStream r0 = r0.mapToDouble(r1)
            r1 = 1151509515(0x44a2a40b, float:1301.1263)
            r2 = 1092821702(0x412322c6, float:10.19599)
            float r1 = r1 - r2
            r2 = 1151425989(0x44a15dc5, float:1290.9303)
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 != 0) goto L37
            goto L37
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.calcStdDev(java.util.List):double");
    }

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "a\u009c\u000e+±ùÐ\u0004¤næû³\u009cÙ\u0015L^°áá½mÃMÀ÷Jö]ÈDÚGa\u000e>\u001cÇ\u0095\u0002Q\u0005óY\u0083\u008f¨°m,Å\u0019\u0093Ü¦\u001b\rhÃ\u000fòeO:^ðzÎ\u0007\u0088\u0007\b\u0005jïÛ\u0014¶\u000bõYì>H\u0005+\u001f\u0018\u0086½/\u0084`\u001b×\u001bJ¹\u0004¦\u0080\u009a\r\u0095»;\u0091M\b{ClÛÕ\u0092\u0087Õ\u009f1õd944\u0098\u001aÚmßc/F\u0092\u001e%ê\u008eã\u0092\u0007Fª\u009dÈ\u0095m\u0087%²>;\u0019Q+Ö(öóµ\u000f¾@\u0018ÐQÆ\u00039¼\u009eü¯dÇÏ>Eêøï\u000bÕÁ".getBytes("ISO_8859_1");
        byte[] bytes2 = ">\u009e\u001añ\u0005Çþ\u0094".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 2117307147;
                    break;
                case true:
                    i = 1315102447;
                    break;
                case true:
                    i = 15686448;
                    break;
                case true:
                    i = -1950853064;
                    break;
                case true:
                    i = 1913243753;
                    break;
                case true:
                    i = -495843749;
                    break;
                case true:
                    i = -1737984040;
                    break;
                case true:
                    i = 1623963102;
                    break;
                case true:
                    i = 1590756218;
                    break;
                case true:
                    i = 1264497577;
                    break;
                case true:
                    i = 417913949;
                    break;
                case true:
                    i = 1948109849;
                    break;
                case true:
                    i = -93584667;
                    break;
                case true:
                    i = 301354987;
                    break;
                case true:
                    i = 1954951704;
                    break;
                case true:
                    i = 1984527001;
                    break;
                case true:
                    i = -751715347;
                    break;
                case true:
                    i = -1708653534;
                    break;
                case true:
                    i = 752075309;
                    break;
                case true:
                    i = 2095909378;
                    break;
                case true:
                    i = 1425308247;
                    break;
                case true:
                    i = -1995468524;
                    break;
                case true:
                    i = -1847757211;
                    break;
                case true:
                    i = -623999841;
                    break;
                case true:
                    i = 1604022378;
                    break;
                case true:
                    i = -2075347072;
                    break;
                case true:
                    i = 1713563727;
                    break;
                case true:
                    i = 780570982;
                    break;
                case true:
                    i = 50838112;
                    break;
                case true:
                    i = -395524323;
                    break;
                case true:
                    i = 960734919;
                    break;
                case true:
                    i = -1797450926;
                    break;
                case true:
                    i = 1308307916;
                    break;
                case true:
                    i = -327149919;
                    break;
                case true:
                    i = -1737676397;
                    break;
                case true:
                    i = -250551979;
                    break;
                case true:
                    i = 306749351;
                    break;
                case true:
                    i = 1246582950;
                    break;
                case true:
                    i = 799943194;
                    break;
                case true:
                    i = -587840297;
                    break;
                case true:
                    i = -1527108162;
                    break;
                case true:
                    i = -114219448;
                    break;
                case true:
                    i = -648390514;
                    break;
                case true:
                    i = -1821500700;
                    break;
                case true:
                    i = -1634463431;
                    break;
                case true:
                    i = 1708668912;
                    break;
                case true:
                    i = 1273269916;
                    break;
                case true:
                    i = -1284389764;
                    break;
                case true:
                    i = 1936122063;
                    break;
                case true:
                    i = 652675777;
                    break;
                case true:
                    i = -96137150;
                    break;
                case true:
                    i = 521027432;
                    break;
                case true:
                    i = -146402615;
                    break;
                case true:
                    i = -695595988;
                    break;
                case true:
                    i = -496732564;
                    break;
                case true:
                    i = 711659984;
                    break;
                case true:
                    i = -399735173;
                    break;
                case true:
                    i = 253065151;
                    break;
                case true:
                    i = 2002470697;
                    break;
                case true:
                    i = 1637872417;
                    break;
                case true:
                    i = -375250359;
                    break;
                case true:
                    i = -1383304835;
                    break;
                case true:
                    i = -840867354;
                    break;
                case true:
                    i = 451299554;
                    break;
                case true:
                    i = -1135418766;
                    break;
                case true:
                    i = 1415263805;
                    break;
                case true:
                    i = 1598537221;
                    break;
                case true:
                    i = -203301501;
                    break;
                case true:
                    i = 1400432002;
                    break;
                case true:
                    i = -1693957895;
                    break;
                case true:
                    i = 2114598683;
                    break;
                case true:
                    i = -24213774;
                    break;
                case true:
                    i = -373271488;
                    break;
                case true:
                    i = -1856192329;
                    break;
                case true:
                    i = 1303264136;
                    break;
                case true:
                    i = 1796638612;
                    break;
                case true:
                    i = -1436210636;
                    break;
                case true:
                    i = -305861444;
                    break;
                case true:
                    i = 1098822977;
                    break;
                case true:
                    i = -1313874966;
                    break;
                case true:
                    i = -2034744714;
                    break;
                case true:
                    i = -609428877;
                    break;
                case true:
                    i = -771452478;
                    break;
                case true:
                    i = -790832165;
                    break;
                case true:
                    i = -1791347717;
                    break;
                case true:
                    i = 1604777055;
                    break;
                case true:
                    i = -216099353;
                    break;
                case true:
                    i = -212941168;
                    break;
                case true:
                    i = -481309391;
                    break;
                case true:
                    i = 1752518511;
                    break;
                case true:
                    i = -2087551707;
                    break;
                case true:
                    i = 1936665617;
                    break;
                case true:
                    i = 243095303;
                    break;
                case true:
                    i = 635394468;
                    break;
                case true:
                    i = 1310496810;
                    break;
                case true:
                    i = -1820374204;
                    break;
                case true:
                    i = -1286416995;
                    break;
                case true:
                    i = 617722799;
                    break;
                case true:
                    i = -1834856649;
                    break;
                case true:
                    i = -1635070330;
                    break;
                case true:
                    i = -939200354;
                    break;
                case true:
                    i = 64892244;
                    break;
                case true:
                    i = 1870615614;
                    break;
                case true:
                    i = 1650298712;
                    break;
                case true:
                    i = 609441060;
                    break;
                case true:
                    i = -1609681606;
                    break;
                case true:
                    i = -567516085;
                    break;
                case true:
                    i = -746439613;
                    break;
                case true:
                    i = -1323918866;
                    break;
                case true:
                    i = 811217048;
                    break;
                case true:
                    i = 1996085434;
                    break;
                case true:
                    i = 474614372;
                    break;
                case true:
                    i = 1021117194;
                    break;
                case true:
                    i = 2050787704;
                    break;
                case true:
                    i = 1955033959;
                    break;
                case true:
                    i = -1522806126;
                    break;
                case true:
                    i = -1851868117;
                    break;
                case true:
                    i = -1275102193;
                    break;
                case true:
                    i = -867818895;
                    break;
                case true:
                    i = -1035253615;
                    break;
                case true:
                    i = -955823051;
                    break;
                case true:
                    i = -1513039993;
                    break;
                case true:
                    i = -320363195;
                    break;
                case true:
                    i = 1931418030;
                    break;
                case true:
                    i = -1503956515;
                    break;
                case true:
                    i = -1986575872;
                    break;
                case true:
                    i = 1231771925;
                    break;
                case true:
                    i = 129448446;
                    break;
                case true:
                    i = 1440717057;
                    break;
                case true:
                    i = 792249138;
                    break;
                case true:
                    i = 917930622;
                    break;
                case true:
                    i = -600663356;
                    break;
                case true:
                    i = 185904310;
                    break;
                case true:
                    i = 800757022;
                    break;
                case true:
                    i = 1838803387;
                    break;
                case true:
                    i = -1064955062;
                    break;
                case true:
                    i = -1436163506;
                    break;
                case true:
                    i = -375488299;
                    break;
                case true:
                    i = 1393403866;
                    break;
                case true:
                    i = -370390630;
                    break;
                case true:
                    i = -1992572938;
                    break;
                case true:
                    i = -1939715855;
                    break;
                case true:
                    i = -947429435;
                    break;
                case true:
                    i = -2047819837;
                    break;
                case true:
                    i = -636118646;
                    break;
                case true:
                    i = 1414132515;
                    break;
                case true:
                    i = -337750605;
                    break;
                case true:
                    i = -1602847271;
                    break;
                case true:
                    i = 311173644;
                    break;
                case true:
                    i = -85599450;
                    break;
                case true:
                    i = -109830505;
                    break;
                case true:
                    i = 423419253;
                    break;
                case true:
                    i = 506781946;
                    break;
                case true:
                    i = 1213328298;
                    break;
                case true:
                    i = -477115293;
                    break;
                case true:
                    i = -664044667;
                    break;
                case true:
                    i = -930637785;
                    break;
                case true:
                    i = 490435820;
                    break;
                case true:
                    i = 340059089;
                    break;
                case true:
                    i = 1725453145;
                    break;
                case true:
                    i = 543427795;
                    break;
                case true:
                    i = -2104531602;
                    break;
                case true:
                    i = -954306285;
                    break;
                case true:
                    i = 71928522;
                    break;
                case true:
                    i = -219703299;
                    break;
                case true:
                    i = -1853165280;
                    break;
                case true:
                    i = -1973808314;
                    break;
                case true:
                    i = 1848012173;
                    break;
                case true:
                    i = -299401380;
                    break;
                case true:
                    i = -368780176;
                    break;
                case true:
                    i = -2079995232;
                    break;
                case true:
                    i = -903766266;
                    break;
                case true:
                    i = -1336012913;
                    break;
                case true:
                    i = -43646999;
                    break;
                case true:
                    i = -1508974246;
                    break;
                case true:
                    i = -1130328427;
                    break;
                case true:
                    i = 2053492228;
                    break;
                case true:
                    i = -2027178889;
                    break;
                case true:
                    i = -494973541;
                    break;
                case true:
                    i = 675452310;
                    break;
                case true:
                    i = 2118086627;
                    break;
                case true:
                    i = -130593834;
                    break;
                case true:
                    i = 1124745742;
                    break;
                case true:
                    i = -1658031342;
                    break;
                case true:
                    i = -1189857783;
                    break;
                case true:
                    i = 2094639605;
                    break;
                case true:
                    i = 199226620;
                    break;
                case true:
                    i = 836957611;
                    break;
                case true:
                    i = -319812999;
                    break;
                case true:
                    i = 1052425006;
                    break;
                case true:
                    i = -2067027293;
                    break;
                case true:
                    i = -1765146881;
                    break;
                case true:
                    i = -292854868;
                    break;
                case true:
                    i = -139438260;
                    break;
                case true:
                    i = -736187480;
                    break;
                case true:
                    i = 1326140336;
                    break;
                case true:
                    i = -131152581;
                    break;
                case true:
                    i = 1100004533;
                    break;
                case true:
                    i = 1746773039;
                    break;
                case true:
                    i = 1476041426;
                    break;
                case true:
                    i = -1052866497;
                    break;
                case true:
                    i = -179778061;
                    break;
                case true:
                    i = -1798468848;
                    break;
                case true:
                    i = 1363351540;
                    break;
                case true:
                    i = -2087251528;
                    break;
                case true:
                    i = -1858166445;
                    break;
                case true:
                    i = 1482174400;
                    break;
                case true:
                    i = -1232851178;
                    break;
                case true:
                    i = -103890207;
                    break;
                case true:
                    i = -124964702;
                    break;
                case true:
                    i = 655352657;
                    break;
                case true:
                    i = -1664992071;
                    break;
                case true:
                    i = 1827946078;
                    break;
                case true:
                    i = -500298985;
                    break;
                case true:
                    i = 1688009011;
                    break;
                case true:
                    i = -42886803;
                    break;
                case true:
                    i = -1565207728;
                    break;
                case true:
                    i = 1022522695;
                    break;
                case true:
                    i = -245951780;
                    break;
                case true:
                    i = 472453148;
                    break;
                case true:
                    i = 2134907432;
                    break;
                case true:
                    i = 1669162694;
                    break;
                case true:
                    i = 1282889549;
                    break;
                case true:
                    i = 1567801869;
                    break;
                case true:
                    i = 1710958568;
                    break;
                case true:
                    i = -1098637565;
                    break;
                case true:
                    i = 217068511;
                    break;
                case true:
                    i = -1291783945;
                    break;
                case true:
                    i = 1382472555;
                    break;
                case true:
                    i = -340559500;
                    break;
                case true:
                    i = 1586110593;
                    break;
                case true:
                    i = -167887233;
                    break;
                case true:
                    i = -1664997164;
                    break;
                case true:
                    i = 2029262473;
                    break;
                case true:
                    i = 1051498593;
                    break;
                case true:
                    i = 1770482125;
                    break;
                case true:
                    i = -852860748;
                    break;
                case true:
                    i = 245891790;
                    break;
                case true:
                    i = 255151013;
                    break;
                case true:
                    i = -1747551310;
                    break;
                case true:
                    i = -2121734602;
                    break;
                case true:
                    i = -1809805816;
                    break;
                case true:
                    i = -584117444;
                    break;
                case true:
                    i = -1702497107;
                    break;
                case true:
                    i = -1883323765;
                    break;
                case true:
                    i = -2009899317;
                    break;
                case true:
                    i = 1079861984;
                    break;
                case true:
                    i = 332694449;
                    break;
                case true:
                    i = 1534332804;
                    break;
                case true:
                    i = -792594744;
                    break;
                case true:
                    i = -962064542;
                    break;
                case true:
                    i = 37239180;
                    break;
                case true:
                    i = 117059103;
                    break;
                case true:
                    i = -2022225416;
                    break;
                case true:
                    i = 1857996374;
                    break;
                case true:
                    i = -1558556995;
                    break;
                default:
                    i = 1175270633;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == false) {
            Object[] objArr2 = new Object[2];
            a.l(objArr2);
            int i7 = 0;
            do {
                int i8 = i7;
                int i9 = i7 + 1;
                int i10 = i9 + 1;
                int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
                byte[] bArr = new byte[i11];
                System.arraycopy(doFinal, i10, bArr, 0, i11);
                i7 = i10 + i11;
                int i12 = i6;
                i6++;
                objArr2[i12] = new String(bArr, "UTF-8").intern();
            } while (i7 != i4);
        }
        WEIGHT_JITTER = 0.1d;
        WEIGHT_REPEAT = 0.15d;
        WEIGHT_PREDICT = 0.15d;
        WEIGHT_ACCEL = 0.2d;
        WEIGHT_ROTATION = 0.2d;
        WEIGHT_DIRECTION = 0.2d;
        VERY_LOW_MOVEMENT_THRESHOLD = 0.3d;
        REPEAT_ANGLE_RATIO_THRESHOLD = 0.3d;
        ACCELERATION_THRESHOLD = 25.0f;
        STD_DEVIATION_THRESHOLD = 1.5d;
        DIRECTION_CONSISTENCY_THRESHOLD = 0.85d;
        SAMPLE_WINDOW = 50;
        DEBUG = true;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double detectAccelerationAnomaly() {
        double min;
        float f = 0.0f;
        double d = 0.0d;
        do {
            float abs = Math.abs(this.player.getRotateProcessor().yawAccel);
            if (692.5611572265625d - 0.4d != 692.16113f) {
                f = Math.abs(this.player.getRotateProcessor().pitchAccel);
                if (1020.3485717773438d - 0.8d != 1019.5486f) {
                }
                do {
                    d = Math.min(1.0f, abs / 25.0f);
                } while (1179.529052734375d - 0.2d == 1179.3291f);
            }
            min = Math.min(1.0f, f / 25.0f);
        } while (989.876f - 13.600353f != 976.27563f);
        return Math.max(d, min);
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x0143, code lost:
    
        if ((508.4088439941406d - 0.1d) != 508.30884f) goto L25;
     */
    /* JADX WARN: Removed duplicated region for block: B:10:0x0134  */
    /* JADX WARN: Removed duplicated region for block: B:23:0x00c8  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x00bd A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0192 A[EDGE_INSN: B:30:0x0192->B:17:0x0192 BREAK  A[LOOP:0: B:4:0x0149->B:27:0x0149], SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:40:0x0023 A[SYNTHETIC] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:48:0x005d -> B:15:0x016b). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:52:0x01af -> B:8:0x0108). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double detectJitterPattern() {
        /*
            Method dump skipped, instructions count: 441
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.detectJitterPattern():double");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x00e1, code lost:
    
        r10 = (cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace) r0.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x00f7, code lost:
    
        if ((1147.236083984375d - 0.2d) == 1147.0361f) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0078, code lost:
    
        if (r11 <= 0.85d) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0030, code lost:
    
        return 0.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0086, code lost:
    
        if ((1434.0918f - 6.131087f) != 1427.9607f) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x010b, code lost:
    
        return java.lang.Math.min(1.0d, (r11 - 0.85d) / 0.15000000000000002d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x000e, code lost:
    
        r0.merge(r10, 1, (v0, v1) -> { // java.util.function.BiFunction.apply(java.lang.Object, java.lang.Object):java.lang.Object
            return java.lang.Integer.sum(v0, v1);
        });
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x002a, code lost:
    
        if ((1131.3977f - 11.536425f) == 1119.8613f) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x006c, code lost:
    
        if ((1043.916259765625d - 0.2d) == 1043.7163f) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x008c, code lost:
    
        r11 = r0 / r7.directionHistory.size();
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x00a6, code lost:
    
        if ((1092.4741f - 10.312042f) == 1082.1621f) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x004a, code lost:
    
        if ((535.25415f - 14.982699f) == 520.2714f) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x00de, code lost:
    
        if (r0.hasNext() == false) goto L12;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:13:0x00f7 -> B:8:0x000e). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double analyzeDirectionConsistency() {
        /*
            Method dump skipped, instructions count: 272
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.analyzeDirectionConsistency():double");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double calculatePredictionDeviation(BlockPlace blockPlace) {
        BlockFace calcExpectedDirection = calcExpectedDirection(blockPlace);
        if (1305.982177734375d - 0.9d != 1305.0822f) {
        }
        if (calcExpectedDirection != blockPlace.getDirection()) {
            return 0.5d;
        }
        if (663.1572f - 8.749378f == 654.40784f) {
        }
        return 0.0d;
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:20:0x00d5 -> B:12:0x00f4). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:28:0x0124 -> B:19:0x00c4). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:30:0x02e0 -> B:17:0x0060). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:32:0x02ee -> B:17:0x0060). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:46:0x0236 -> B:43:0x02f4). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:58:0x0097 -> B:10:0x0254). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:58:0x0097 -> B:29:0x02da). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:60:0x0271 -> B:37:0x01d7). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:62:0x0280 -> B:21:0x0028). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:62:0x0280 -> B:76:0x032e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:65:0x0328 -> B:19:0x00c4). Please report as a decompilation issue!!! */
    public void onBlockPlace(cn.dg32z.lon.utils.update.BlockPlace r12) {
        /*
            Method dump skipped, instructions count: 885
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.onBlockPlace(cn.dg32z.lon.utils.update.BlockPlace):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0055, code lost:
    
        if ((1205.2637f - 13.824897f) != 1191.4387f) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x003d, code lost:
    
        r14 = 1.0d - java.lang.Math.min(1.0d, r0 / 1.5d);
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double analyzeRotationPattern() {
        /*
            r9 = this;
            r0 = 0
            r10 = r0
            r0 = 0
            r12 = r0
            r0 = 0
            r14 = r0
            r0 = 0
            r16 = r0
            goto L91
        L15:
            r0 = r14
            r1 = r16
            double r0 = r0 + r1
            r1 = 4611686018427387904(0x4000000000000000, double:2.0)
            double r0 = r0 / r1
            return r0
        L1f:
            r0 = 4607182418800017408(0x3ff0000000000000, double:1.0)
            r1 = 4607182418800017408(0x3ff0000000000000, double:1.0)
            r2 = r12
            r3 = 4609434218613702656(0x3ff8000000000000, double:1.5)
            double r2 = r2 / r3
            double r1 = java.lang.Math.min(r1, r2)
            double r0 = r0 - r1
            r16 = r0
            r0 = 1152822571(0x44b6ad2b, float:1461.4115)
            r1 = 1091903904(0x411521a0, float:9.320709)
            float r0 = r0 - r1
            r1 = 1152746216(0x44b582e8, float:1452.0908)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L15
            goto L1f
        L3d:
            r0 = 4607182418800017408(0x3ff0000000000000, double:1.0)
            r1 = 4607182418800017408(0x3ff0000000000000, double:1.0)
            r2 = r10
            r3 = 4609434218613702656(0x3ff8000000000000, double:1.5)
            double r2 = r2 / r3
            double r1 = java.lang.Math.min(r1, r2)
            double r0 = r0 - r1
            r14 = r0
            r0 = 1150724208(0x4496a870, float:1205.2637)
            r1 = 1096626887(0x415d32c7, float:13.824897)
            float r0 = r0 - r1
            r1 = 1150610954(0x4494ee0a, float:1191.4387)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L91
            goto L1f
        L5b:
            r0 = r9
            r1 = r9
            cn.dg32z.lon.utils.evicting.EvictingList r1 = r1.pitchDeltas
            double r0 = r0.calcStdDev(r1)
            r12 = r0
            r0 = 4654308691904823296(0x40976d1880000000, double:1499.27392578125)
            r1 = 4599075939470750515(0x3fd3333333333333, double:0.3)
            double r0 = r0 - r1
            r1 = 1153130282(0x44bb5f2a, float:1498.9739)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L3d
            goto L76
        L76:
            r0 = r9
            r1 = r9
            cn.dg32z.lon.utils.evicting.EvictingList r1 = r1.yawDeltas
            double r0 = r0.calcStdDev(r1)
            r10 = r0
            r0 = 4650809132150947840(0x408afe43c0000000, double:863.7830810546875)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1146601195(0x4457beeb, float:862.9831)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L5b
            goto L1f
        L91:
            r0 = r9
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.yawDeltas
            int r0 = r0.size()
            r1 = 15
            if (r0 >= r1) goto L76
            r0 = 0
            return r0
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.analysis.AnalysisC.analyzeRotationPattern():double");
    }

    private static Object a(char c) {
        Object obj = a;
    }
}
